#ifndef ccbclientpriv_h
#define ccbclientpriv_h

#include "ccbclientlink.h"

#include <stdarg.h>

/*-----------------------------------------------------------------------*
 * This header file contains functions in ccbclientlink.c which are for  *
 * internal use by ccbclientlink.c, ccbcontrolclient.c and               *
 * ccbtelemetryclient.c. These functions are not for use by the calling  *
 * application, so they are not included in ccbclientlink.h.             *
 *-----------------------------------------------------------------------*/

/*
 * A printf-style function for composing and reporting error messages
 * via the manager's log-reporting callback function.
 */
int ccb_log_client_msg(CCBClientLink *cl, CCBLogLevel level, unsigned long id,
		       const char *fmt, ...);

/*
 * A vfprintf-style function for composing and reporting error messages
 * via the manager's log-reporting callback function.
 */
int ccb_vlog_client_msg(CCBClientLink *cl, CCBLogLevel level, unsigned long id,
			const char *fmt, va_list ap);

/*
 * Report the receipt of a ping reply.
 */
int ccb_report_ping_reply(CCBClientLink *cl, CCBLinkType type,
			  unsigned long seq);

/*
 * Report that a shutdown or reboot command has been dispatched, and
 * thus that loss of the connection should now not be seen as an
 * error.
 */
int ccb_report_shutdown_dispatch(CCBClientLink *cl);

#endif
